package com.muyu.cloud.etl.controller;

import com.muyu.cloud.etl.service.ProductService;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.DataValue;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

//用来处理数据
@Log4j2
@RestController
@RequestMapping("/product")
public class ProductController {

    @Autowired
    private ProductService productService;


//    //获取字段值  供任务调用
//    @PostMapping("/findTableValue")
//    public Result findTableValue(@RequestParam("basicId") Long basicId,@RequestParam("sql") String sql) {
//        List<List<DataValue>> list= dataValueService.findTableValue(basicId,sql);
//        return Result.success(list);
//    }


    //添加数据值
    @PostMapping("/addProduct")
    public Result addProduct(@RequestParam("basicId") Long basicId, @RequestParam("tableId") Long tableId, @RequestBody DataValue[][] listList) {
        long begin = System.currentTimeMillis();

        int i = productService.addProduct(basicId,tableId,listList);

        long end = System.currentTimeMillis();

        long allTime = end - begin;
        log.info("添加到产品数据库耗时:"+allTime);

        return Result.success(i);
    }

}
